Skip to main content
POST
/
api
/
dataproduct
/
{dataproduct_id}
/
psk
Creates a pre-shared key
curl --request POST \
  --url https://api.example.com/api/dataproduct/{dataproduct_id}/psk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "validity_days": 123
}
'
{
  "psk": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "valid_until": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

dataproduct_id
string<uuid>
required

Unique ID of the data product for the creation of pre-shared key.

Body

application/json
description
string
required

A brief description of the pre-shared key's purpose.

validity_days
integer
required

Number of days the key is valid for.

Response

Pre-shared key created successfully.

psk
string<uuid>
required

The unique ID of the generated pre-shared key.

description
string
required

The description provided for this key.

valid_until
string<date-time>
required

Expiration date and time of the key.